Fehlermeldung bei der Installation von SQL Server 2008 Service Pack 2

Gilt für: SQL Server 2008 DeveloperSQL Server 2008 EnterpriseSQL Server 2008 Express

Problembeschreibung


Wenn Sie versuchen, Microsoft SQL Server 2008 auf SQL Server 2008 Service Pack 2 (SP2) auf einem Computer zu aktualisieren, auf dem nur das Microsoft .NET Framework 4-Clientprofil installiert ist, schlägt die Service Pack-Installation fehl, und die folgende Fehlermeldung wird angezeigt:
Für SQL Server 2008 Setup muss Microsoft .NET Framework 4.0 installiert werden. Laden Sie .NET Framework von http://www.microsoft.com/net herunter, und installieren Sie es, und führen Sie Setup erneut aus.
Die Fehlermeldung ähnelt der folgenden:Siehe imageFehlermeldungen in SQL Server Setup-ProtokolldateienWenn Sie das Sqlsetup.log untersuchen, das sich im Ordner für temporäre Dateien befindet (%temp%), werden Einträge angezeigt, die den folgenden ähneln:Hinweis Das Microsoft .NET Framework 4.0 besteht aus dem .NET Framework 4-Clientprofil und den erweiterten Komponenten .NET Framework 4. Diese Komponenten sind separat im Element Programme und Features in der Systemsteuerung oder im Element Programme hinzufügen oder entfernen in der Systemsteuerung in früheren Versionen von Windows vorhanden.
Um dieses Problem zu beheben, rufen Sie das neueste Service Pack für SQL Server 2008 ab. Weitere Informationen erhalten Sie, um den Artikel in der Microsoft Knowledge Base anzuzeigen:
968382 So erhalten Sie das neueste Service Pack für SQL Server 2008
Um dieses Problem zu umgehen, installieren Sie die Vollversion von .NET Framework 4.0, und wiederholen Sie dann die Einrichtung des Service Packs. Informationen zur Installation der Vollversion finden Sie unter Microsoft .NET Framework 4 (Web Installer).

Weitere Informationen


Dieser Fehler tritt auf, wenn das SQL Server Setup-Programm erkennt, dass der .NET Framework 4.0-Client auf dem System installiert ist, und die CLR umleitet, um einige .NET Framework 4.0-Bibliotheken zu laden, die nur in der Vollversion von .NET Framework 4.0 vorhanden sind.

Status

Microsoft hat bestätigt, dass dies ein Problem in den Microsoft-Produkten ist, die im Abschnitt "Gilt für" aufgeführt sind. Dieses Problem wurde zuerst in Microsoft SQL Server 2008 Service Pack 3 behoben.